import helper as hl
import dansguardian

class BListCtrlsHandlers:
    def __init__(self, main):
        # Save reference to parent
        self.main = main
        
    def btnAddBlacklistClicked(self, button):
        addr = self.main.blackList.txtBlacklist.get_text()
        if addr != "":
            hl.addRowToScrolledWindow(self.main.blackList.scrlWndBlockedAddresses, addr)
            self.main.blackList.txtBlacklist.set_text("")
            self.main.confs.addAddressToBlacklist(addr)
                    
    def btnRemoveBlacklistClicked(self, button):
        (lst, iterator) = hl.getScrolledWindowSelection(self.main.blackList.scrlWndBlockedAddresses)
        if iterator != None:
            addr = lst[iterator][0]
            hl.removeFromScrolledWindowByIter(self.main.blackList.scrlWndBlockedAddresses, iterator)
            self.main.confs.removeAddressFromBlacklist(addr)
    
class BlackList:
    def __init__(self, main):
        # Save reference to parent
        self.main = main
        
        # Save the gtk builder
        self.builder = main.builder
        
        # GtkEntry
        self.txtBlacklist = self.builder.get_object("txtBlacklist")
        
        # GtkButton
        self.btnAddBlacklist = self.builder.get_object("btnAddBlacklist")
        self.btnRemoveBlacklist = self.builder.get_object("btnRemoveBlacklist")
        
        # GtkScrolledWindow
        self.scrlWndBlockedAddresses = self.builder.get_object("scrlWndBlockedAddresses")