import helper as hl

class WListCtrlsHandlers:
    def __init__(self, main):
        # Save reference to parent
        self.main = main
        
    def btnAddWhitelistClicked(self, button):
        addr = self.main.whiteList.txtWhitelist.get_text()
        if addr != "":
            hl.addRowToScrolledWindow(self.main.whiteList.scrlWndAllowedAddresses, addr)
            self.main.whiteList.txtWhitelist.set_text("")
            self.main.confs.addAddressToWhitelist(addr)
        
    def btnRemoveWhitelistClicked(self, button):
        (lst, iterator) = hl.getScrolledWindowSelection(self.main.whiteList.scrlWndAllowedAddresses)
        if iterator != None:
            addr = lst[iterator][0]
            hl.removeFromScrolledWindowByIter(self.main.whiteList.scrlWndAllowedAddresses, iterator)
            self.main.confs.removeAddressFromWhitelist(addr)
    
class WhiteList:
    def __init__(self, main):
        # Save reference to parent
        self.main = main
        
        # Save the gtk builder
        self.builder = main.builder
        
        # GtkEntry
        self.txtWhitelist = self.builder.get_object("txtWhitelist")
        
        # GtkButton
        self.btnAddWhitelist = self.builder.get_object("btnAddWhitelist")
        self.btnRemoveWhitelist = self.builder.get_object("btnRemoveWhitelist")
        
        # GtkScrolledWindow
        self.scrlWndAllowedAddresses = self.builder.get_object("scrlWndAllowedAddresses")
        